%define name gnome-do
%define version 0.8.3.1
%define release %mkrel 2

Summary:        Quick launch and search                                          
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv3+
URL:            http://do.davebsd.com/
Source:         %{name}-%{version}.tar.xz
Patch0:		gnome-do-0.8.3.1-mono-2.8.patch
Patch1:		gnome-do-0.8.3.1-gdk.patch
Group:          Graphical desktop/GNOME
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	desktop-file-utils
BuildRequires:	mono-devel
BuildRequires:  mono-addins
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gnome-sharp2-devel
BuildRequires:  notify-sharp
BuildRequires:  ndesk-dbus-glib
BuildRequires:  gnome-desktop-sharp-devel
BuildRequires:	gettext
BuildRequires:	perl-XML-Parser
BuildRequires:	intltool
BuildRequires:	gtk2-devel
BuildRequires:	gnome-keyring-sharp
Obsoletes: %name < %version



%description
GNOME Do allows you to quickly search for many objects present in your 
GNOME desktop environment (applications, Evolution contacts, Firefox bookmarks, files, 
artists and albums in Rhythmbox, 
Pidgin buddies) and perform commonly used commands on those objects 
(Run, Open, Email, Chat, Play, etc.).

%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
autoreconf -fis
%configure2_5x
 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GNOME Do
Type=Application
Exec=dbus-launch gnome-do
Terminal=false
Icon=/usr/share/icons/hicolor/48x48/apps/gnome-do.png
Comment=Search quickly with your files, bookmarks, applications, music, contacts, and more!
Categories=Utility;X-MandrivaLinux-System-FileTools;
OnlyShowIn=GNOME;System;
X-Desktop-File-Install-Version=0.11
EOF

%define schemas gnome-do

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %{schemas}
%{update_menus}

%preun
%preun_uninstall_gconf_schemas %{schemas}


%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/autostart/gnome-do.desktop
%{_libdir}/gnome-do
%{_datadir}/gnome-do/*/*.svg
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/applications/gnome-do.desktop
%{_libdir}/pkgconfig/*

%changelog
* Sat Oct 30 2010 Texstar <texstar at gmail.com> 0.8.3.1-2pclos2010
- rebuild against updated system

* Tue Apr 27 2010 slick50 <lxgator@gmail.com> 0.8.3.1-1pclos2010
- 0.8.3.1

* Fri Dec 18 2009 slick50 <lxgator@gmail.com> 0.8.2-1pclos2010
- 0.8.2

* Sun Apr 12 2009 slick50 <lxgator@gmail.com> 0.8.0-1pclos2007
- 0.8.1

* Sun Apr 12 2009 pcserver <pcserver@hushmail.com> 0.8.0-2pclos2007
- fix executable desktop link with dbus-launch gnome-do
- add missing BR gnome-keyring-sharp

* Sun Feb 22 2009 Slick50 <linuxgator.org> - 0.8.0-1pclos2007
- 0.8.0

* Wed Feb 24 2008 Slick50 <linuxgator.org> - 0.3.1-2pclos2007
- rebuilt pkg 

* Wed Feb 15 2008 Slick50 <linuxgator.org> - 0.3.1-1pclos2007
- Initial package

